TechDraw "Применить геометрическую штриховку к грани"

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw GeometricHatch and the translation is 63% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎русский

TechDraw GeometricHatch.svg Применить геометрическую штриховку к грани

Системное название
TechDraw_GeometricHatch
Расположение в меню
TechDraw → Применить геометрическую штриховку к грани
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Штриховать грань, используя файл изображения, Штриховка

Описание

Инструмент GeometricHatch заполняет замкнутый регион внутри вида шаблоном, базирующимся на спецификации AutoDesk PAT hatching. В качестве альтернативы, инструмент Hatch использует качестве рисунка штриховки файл в формате SVG или растровый, подробности см. в Hatching.

TechDraw GeomHatch example.png

Геометрический узор штриховки на грани

Применение

  1. Select an closed region in a View.
  2. Press the TechDraw GeometricHatch.svg Apply Geometric Hatch to Face button
  3. A dialog will open where you can select your pattern, the scale, line weight and color.

Примечания

A small set of sample patterns are available in:

$INSTALL_DIR/data/Mod/TechDraw/PAT/FCPAT.pat

$INSTALL_DIR is the directory where FreeCAD was installed, for example

/usr/share/freecad/data/Mod/TechDraw/PAT/FCPAT.pat

Свойства

  • ДанныеSource: The View and Face to receive the hatch pattern.
  • ДанныеFile Pattern: The location of the PAT file to use.
  • ДанныеName Pattern: The name of the PAT specification within File Pattern.
  • ДанныеScale Pattern: The scale to be applied to the pattern (must be > 0.0).
  • ВидWeight Pattern: The thickness of the pattern lines.
  • ВидColor Pattern: The color for the pattern lines.

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

The GeometricHatch tool can be used in macros and from the Python console by using the following functions:

hatch = FreeCAD.ActiveDocument.addObject('TechDraw::DrawGeomHatch','GeomHatch')
hatch.Source = (view1,["Face0"])
hatch.FilePattern = "path/to/myPATfile.pat"
hatch.NamePattern = "Diamond"
rc = page.addView(hatch)

It is also possible to use TechDraw's geometric hatch engine to produce a compound object in the 3D space. One must take care that the base face lies on the XY plane, as the algorithm is not tailored yet for other cases:

import TechDraw
face = Part.makePlane(10,10)
patfile = "path/to/myPATfile.pat"
pattern = "Diamond"
scale = 10
hatch = TechDraw.makeGeomHatch(face, scale, pattern, patfile)
Part.show(hatch)